{-# OPTIONS -fglasgow-exts #-}
module SDLMisc(
  setIcon,
) where

import Foreign
import Foreign.C
import Control.Monad

import Graphics.UI.SDL

----------

#include <SDL.h>
#include <SDL_gfxPrimitives.h>

-- extern DECLSPEC void SDLCALL SDL_WM_SetIcon(SDL_Surface *icon, Uint8 *mask);
foreign import ccall unsafe "SDL.h SDL_WM_SetIcon" inSDLWMSetIcon :: Ptr SurfaceStruct -> Ptr Word8 -> IO ()

setIcon :: Surface -> Maybe Word8 -> IO ()
setIcon icon mbMask
    = withForeignPtr icon $ \ptr ->
      maybeWith Foreign.with mbMask $ \mask ->
      inSDLWMSetIcon ptr mask


----------


-- vim:set ft=haskell:
